%define name komba2
%define version 0.73
%define release 1mdk


Name: 		%{name}
Summary: 	Networkbrowser for Sambanetworks
Version: 	%{version}
Release: 	%{release}
Source: 	komba2-%version.tar.bz2
Group: 		Networking/Other
BuildRoot: 	%_tmppath/%name-buildroot
License: 	GPL
Url: 		http://zeus.fh-brandenburg.de/~schwanz/php/komba.php3
BuildRequires: gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires: XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires: libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 db1 freetype2 libjpeg62
BuildRequires: libmng1 libpng3 libqt3 libqt3-devel rpm-build

BuildRequires:	libjpeg62-static-devel

Obsoletes:	kde3-komba2
Provides:	kde3-komba2

%description
Komba2 is a Networkbrowser for Sambanetworks. It can find the workgroups, 
hosts and shares and show information about it. You can mount/unmount 
shares, send messages to other hosts and many more.

%prep

%setup -q -nkomba2-%version

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix \
            --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-rpath \
	    --disable-debug \
		--enable-final

make clean
%make

%install

%makeinstall

%{find_lang} %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="%_bindir/komba2" \
title="Komba2" \
longtitle="Networkbrowser" \
icon="%{name}.png" \  
needs="x11" \
section="Networking/Remote access"
EOF
)


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%_bindir/*
%_datadir/applnk/Applications/komba2.desktop

%dir %_datadir/apps/komba2
%dir %_datadir/apps/komba2/icons/
%dir %_datadir/apps/komba2/icons/hicolor/
%dir %_datadir/apps/komba2/icons/hicolor/16x16/
%dir %_datadir/apps/komba2/icons/hicolor/22x22/
%dir %_datadir/apps/komba2/icons/hicolor/32x32/

%dir %_datadir/apps/komba2/icons/hicolor/16x16/actions/
%_datadir/apps/komba2/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/komba2/icons/hicolor/22x22/actions/
%_datadir/apps/komba2/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/komba2/icons/hicolor/32x32/actions/
%_datadir/apps/komba2/icons/hicolor/32x32/actions/*.png

%_datadir/icons/hicolor/16x16/apps/komba2.png
%_datadir/icons/hicolor/32x32/apps/komba2.png 


%dir %_datadir/doc/HTML/en/komba2/
%doc %_datadir/doc/HTML/en/komba2/common
%doc %_datadir/doc/HTML/en/komba2/*.docbook
%doc %_datadir/doc/HTML/en/komba2/*.bz2

%dir %_datadir/doc/HTML/de/komba2/
%doc %_datadir/doc/HTML/de/komba2/common
%doc %_datadir/doc/HTML/de/komba2/*.docbook
%doc %_datadir/doc/HTML/de/komba2/*.bz2

%_datadir/apps/komba2/*.rc
%_menudir/*

%changelog
* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-1mdk
- 0.73

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.14mdk
- Rebuild

* Wed Jul 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.13mdk
- Rebuild

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.12mdk
- Fix spec file

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.11mdk
- Rebuild

* Tue Oct 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.10mdk
- Rebuild again kde3.1

* Mon Aug 26 2002 David BAUDENS <baudens@mandrakesoft.com> 0.73-0.beta1.9mdk
- Fix menu entry

* Mon Aug 19 2002 David BAUDENS <baudens@mandrakesoft.com> 0.73-0.beta1.8mdk
- Rebuild

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.7mdk
- Rebuild against gcc-3.2

* Fri Jun 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.6mdk
- Fix build requires

* Thu May 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.5mdk
- Rebuild

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.4mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.3mdk
- Rebuild against gcc3.1

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.2mdk
- Fix update menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.73-0.beta1.1mdk
- Port to kde3.0


